<?php
require "PatchmanCommon.php";

class IndexController extends pm_Controller_Action
{
    public function indexAction()
    {
        $request = $this->getRequest();

        $session = new pm_Session();
        $client = $session->getClient();

        $username = $client->getProperty("login");
        $is_reseller = $request->getParam("reseller") !== null && ($client->isReseller() || $client->isAdmin());
        $data = pm_get_token($username, $is_reseller);

        if ($data->redirect_to) {
            $this->_helper->layout->disableLayout();
            echo "<script>document.location='{$data->redirect_to}';</script>";
        } else {
            if ($data->username == "This user does not exist.") {
                echo "There is currently no data to show for your account.";
            } else if ($data->username == "This user can't access the portal.") {
                echo "Your webhosting provider has disabled your access to the Patchman portal.";
            } else {
                echo "Access to the Patchman portal is currently not possible. Please contact your webhosting provider.";
            }
        }
    }
}
