<?php

class Modules_Patchman_CustomButtons extends pm_Hook_CustomButtons
{
    public function getButtons()
    {
        $base = pm_Context::getBaseUrl();
        $session = new pm_Session();
        $client = $session->getClient();
        $plugin = @file('/var/lib/patchman/plugin');

        $username = $client->getProperty('login');
        $is_reseller = $client->isReseller() || $client->isAdmin();

        $buttons = array();
        $button = array(
            'place' => self::PLACE_COMMON,
            'title' => 'Patchman',
            'description' => 'Patchman',
            'icon' => "$base/patchman16.png",
            'contextParams' => false,
            'newWindow' => true
        );

        if ($plugin === false) {
            /* Plugin list could not be loaded. */
        } elseif ($is_reseller && in_array("$username,reseller\n", $plugin)) {
            $buttons[] = array_merge($button, array('link' => "$base?reseller"));
        } elseif (in_array("$username,user\n", $plugin)) {
            $buttons[] = array_merge($button, array('link' => $base));
        } else {
            /* Disabled for this user. */
        }

        return $buttons;
    }
}